Bug 1473324

Summary: [abrt] dnfdragora-gui: __call__(): __init__.py:244:_handle_dbus_error:dnfdaemon.client.LockedError: dnf is locked by another application (36)
Product: [Fedora] Fedora Reporter: Cristian Hernández Ossa <cristianssh10>
Component: dnfdragoraAssignee: Björn 'besser82' Esser <besser82>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: besser82, leigh123linux, lupinix.fedora, lzavacky, ngompa13, sonico, zebob.m
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/e22102f57b0d41bfd8052a2eaf253b2e7c0bfc79
Whiteboard: abrt_hash:edfb4e8719ee75ac877ee0d1ff1bf0ffdced728d;
Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-31 21:36:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: cpuinfo
none
File: environ
none
File: mountinfo
none
File: namespaces
none
File: open_fds none

Description Cristian Hernández Ossa 2017-07-20 13:30:24 UTC
Version-Release number of selected component:
dnfdragora-gui-1.0.1-5.git20170505.2a3b056.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: __call__
exception_type: GLib.GError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.11.8-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:244:_handle_dbus_error:dnfdaemon.client.LockedError: dnf is locked by another application (36)

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 368, in Unlock
    self.daemon.Unlock()
  File "/usr/lib64/python3.6/site-packages/gi/overrides/Gio.py", line 172, in __call__
    None)
GLib.GError: g-io-error-quark: GDBus.Error:org.baseurl.DnfSystem.LockedError: dnf is locked by another application (36)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/dnfdragora-updater", line 25, in <module>
    dnfdragora.updater.Updater().main()
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 156, in main
    self.__tray.run(self.__main_loop())
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 151, in __main_loop
    self.__get_updates()
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 117, in __get_updates
    return self.__get_updates_func(False)
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 128, in __get_updates_func
    self.__backend.Unlock()
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 370, in Unlock
    self._handle_dbus_error(err)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 244, in _handle_dbus_error
    raise LockedError(msg)
dnfdaemon.client.LockedError: dnf is locked by another application (36)

Local variables in innermost frame:
msg: 'dnf is locked by another application (36)'
exc: 'org.baseurl.DnfSystem.LockedError'
err: GLib.Error('GDBus.Error:org.baseurl.DnfSystem.LockedError: dnf is locked by another application', 'g-io-error-quark', 36)
self: <dnfdaemon.client.Client object at 0x7fa97cd58c18>

Comment 1 Cristian Hernández Ossa 2017-07-20 13:30:29 UTC
Created attachment 1301737 [details]
File: backtrace

Comment 2 Cristian Hernández Ossa 2017-07-20 13:30:34 UTC
Created attachment 1301738 [details]
File: cgroup

Comment 3 Cristian Hernández Ossa 2017-07-20 13:30:35 UTC
Created attachment 1301739 [details]
File: cpuinfo

Comment 4 Cristian Hernández Ossa 2017-07-20 13:30:37 UTC
Created attachment 1301740 [details]
File: environ

Comment 5 Cristian Hernández Ossa 2017-07-20 13:30:38 UTC
Created attachment 1301741 [details]
File: mountinfo

Comment 6 Cristian Hernández Ossa 2017-07-20 13:30:39 UTC
Created attachment 1301742 [details]
File: namespaces

Comment 7 Cristian Hernández Ossa 2017-07-20 13:30:41 UTC
Created attachment 1301743 [details]
File: open_fds

Comment 8 javier 2017-08-06 17:14:36 UTC
*** Bug 1478734 has been marked as a duplicate of this bug. ***

Comment 9 Robert-André Mauchin 2017-08-10 11:34:07 UTC
Solution:
# yumex-dnf --exit

*** This bug has been marked as a duplicate of bug 1461072 ***

Comment 10 Robert-André Mauchin 2017-08-10 11:39:19 UTC
Sorry, it's:
dnfdragora --exit

Comment 11 lzavacky 2017-10-09 20:14:20 UTC
*** Bug 1500081 has been marked as a duplicate of this bug. ***

Comment 12 Fedora Update System 2017-12-30 00:35:20 UTC
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 13 Fedora Update System 2017-12-30 00:37:14 UTC
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 14 Fedora Update System 2017-12-30 20:02:12 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 15 Fedora Update System 2017-12-30 20:47:59 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 16 Fedora Update System 2017-12-31 21:36:28 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-01-01 22:19:43 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.